Bug 731650 - Yum update issue with RHEL upgrade from 5.2 to 5.6
Yum update issue with RHEL upgrade from 5.2 to 5.6
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.2
i686 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: packaging-team-maint
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 04:43 EDT by vinayagam.sivan
Modified: 2014-01-21 01:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 11:01:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vinayagam.sivan 2011-08-18 04:43:17 EDT
Description of problem:
Trying to update Redhat 5.2 to 5.6 through yum upate command through satelite server. We were able to modify the channle subscription on the satelite server and able to run yum check-update command. while we run "yum update" its hangs at Running Transaction check

# yum update
Loading "rhnplugin" plugin
Loading "security" plugin
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package stunnel.i386 0:4.15-2.el5.1 set to be updated -----> It hangs at here and there is no further progress


Version-Release number of selected component (if applicable):

# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.2 (Tikanga)

How reproducible:
by running again yum update command

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:

# yum update
Loading "rhnplugin" plugin
Loading "security" plugin
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package stunnel.i386 0:4.15-2.el5.1 set to be updated


Expected results:

expecting to install all the packages from satelite server

Additional info:
Comment 1 Zdeněk Pavlas 2013-03-22 11:01:35 EDT
If you can reproduce this, please run the update with -d9 and attach the full Yum output..  Is there some disk or network activity going on?  Ideally, attach also a strace log.

Note You need to log in before you can comment on or make changes to this bug.